//
//  ViewController.m
//  AsReaderApp
//
//  Created by Asterisk Inc. on 2014/10/06.
//  Copyright (c) 2014年 Asterisk Inc. All rights reserved.
//

#import "ViewController.h"

@interface ViewController ()
@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    
    asReader = [[AsReaderSDK alloc]init];
    [asReader setDelegate:self];
    _resultTextView.text = @"";
    _statusLabel.text = @"UnPlugged";
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
}

#pragma mark - AsReaderDelegate Method
-(void) onBarcodeScanned:(NSString *)value
{
    [self addText:value];
}

-(void)whenAsReaderConnect
{
    _statusLabel.text = @"Plugged";
}

-(void)whenAsReaderDisconnect
{
    _statusLabel.text = @"UnPlugged";
}
- (IBAction)tapToClear:(id)sender
{
    [_resultTextView setText:@""];
}

#pragma mark - Private Methodw
- (void)addText:(NSString*)value{
    dispatch_async(dispatch_get_main_queue(), ^{
        if([_resultTextView.text isEqualToString:@""])
        {
            _resultTextView.text = [NSString stringWithFormat:@"%@",value];
            
        }else{
            _resultTextView.text = [NSString stringWithFormat:@"%@\n%@",_resultTextView.text,value];
            NSRange range = NSMakeRange(_resultTextView.text.length - 1, 1);
            _resultTextView.layoutManager.allowsNonContiguousLayout = NO;
            [_resultTextView scrollRangeToVisible:range];
        }
        });
}


@end
